Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.search
Class SearchException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.plumtree.remote.ServiceException
                  com.plumtree.remote.search.SearchException

All Implemented Interfaces:
  java.io.Serializable

public class SearchException
extends ServiceException

Exception class to communicate known exceptions and user-defined errors to the search interface in the portal. `AdminPrefsNotSet`, `UserPrefsNotSet` and `UserInfoNotSet` result in a link to the respective preference page.

See Also:
  Serialized Form

Constructor Summary
`SearchException(TypeSearchError searchError, java.lang.String message)` Valued Constructor

Methods inherited from class com.plumtree.remote.ServiceException
`getInnerException, getMessage, getStackTraceAsString, getStatusCode, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchException

    public SearchException(TypeSearchError searchError,
                           java.lang.String message)

  Valued Constructor

Parameters:
  `searchError` - the `TypeSearchError`
  `message` - the error message to display in the search interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.